---
title: "List fundraising artifacts"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/vault/fundraising/artifacts`

## Path parameters

- `entityId` (`startup-list-fundraising-artifacts.path.entityId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/vault/fundraising/artifacts'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/vault/fundraising/artifacts';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/vault/fundraising/artifacts"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
      "artifactType": "pitch_deck",
      "filename": "string",
      "mimeType": "string",
      "byteSize": 0,
      "sha256": "string",
      "storageKey": "string",
      "uploadStatus": "upload_session_created",
      "malwareScanStatus": "pending",
      "malwareScanError": "string",
      "version": 0,
      "tokenRequired": true,
      "tokenNetwork": "base-mainnet",
      "tokenGrantStatus": "not_requested",
      "uploadUrl": "string",
      "uploadMethod": "PUT",
      "uploadHeaders": {
        "property1": "string",
        "property2": "string"
      },
      "uploadExpiresAt": "2019-08-24T14:15:22Z",
      "createdBy": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`startup-list-fundraising-artifacts.response.200.data`; array<object>, required)
  - `id` (`startup-list-fundraising-artifacts.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`startup-list-fundraising-artifacts.response.200.data.entityId`; string, required)
    - format `uuid`
  - `collectionId` (`startup-list-fundraising-artifacts.response.200.data.collectionId`; string, required, nullable)
    - format `uuid`
  - `artifactType` (`startup-list-fundraising-artifacts.response.200.data.artifactType`; string, required)
    - one of `"pitch_deck"`, `"investment_memo"`, `"supporting_file"`
  - `filename` (`startup-list-fundraising-artifacts.response.200.data.filename`; string, required)
  - `mimeType` (`startup-list-fundraising-artifacts.response.200.data.mimeType`; string, required)
  - `byteSize` (`startup-list-fundraising-artifacts.response.200.data.byteSize`; number, required, nullable)
  - `sha256` (`startup-list-fundraising-artifacts.response.200.data.sha256`; string, required, nullable)
  - `storageKey` (`startup-list-fundraising-artifacts.response.200.data.storageKey`; string, required, nullable)
  - `uploadStatus` (`startup-list-fundraising-artifacts.response.200.data.uploadStatus`; string, required)
    - one of `"upload_session_created"`, `"uploaded"`, `"finalized"`, `"failed"`
  - `malwareScanStatus` (`startup-list-fundraising-artifacts.response.200.data.malwareScanStatus`; string, required)
    - one of `"pending"`, `"passed"`, `"failed"`
  - `malwareScanError` (`startup-list-fundraising-artifacts.response.200.data.malwareScanError`; string, required, nullable)
  - `version` (`startup-list-fundraising-artifacts.response.200.data.version`; number, required)
  - `tokenRequired` (`startup-list-fundraising-artifacts.response.200.data.tokenRequired`; boolean, required)
  - `tokenNetwork` (`startup-list-fundraising-artifacts.response.200.data.tokenNetwork`; string, required)
    - one of `"base-mainnet"`
  - `tokenGrantStatus` (`startup-list-fundraising-artifacts.response.200.data.tokenGrantStatus`; string, required)
    - one of `"not_requested"`, `"pending"`, `"granted"`, `"revoked"`, `"failed"`
  - `createdBy` (`startup-list-fundraising-artifacts.response.200.data.createdBy`; string, required)
  - `createdAt` (`startup-list-fundraising-artifacts.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`startup-list-fundraising-artifacts.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `uploadUrl` (`startup-list-fundraising-artifacts.response.200.data.uploadUrl`; string, optional, nullable)
  - `uploadMethod` (`startup-list-fundraising-artifacts.response.200.data.uploadMethod`; string, optional)
    - one of `"PUT"`
  - `uploadHeaders` (`startup-list-fundraising-artifacts.response.200.data.uploadHeaders`; map<string>, optional)
  - `uploadExpiresAt` (`startup-list-fundraising-artifacts.response.200.data.uploadExpiresAt`; string, optional)
    - format `date-time`
- `meta` (`startup-list-fundraising-artifacts.response.200.meta`; object, required)
  - `total` (`startup-list-fundraising-artifacts.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`startup-list-fundraising-artifacts.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`startup-list-fundraising-artifacts.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`startup-list-fundraising-artifacts.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`startup-list-fundraising-artifacts.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`startup-list-fundraising-artifacts.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-fundraising-artifacts.response.400.error`; object, required)
  - `code` (`startup-list-fundraising-artifacts.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-fundraising-artifacts.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-fundraising-artifacts.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-fundraising-artifacts.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-fundraising-artifacts.response.401.error`; object, required)
  - `code` (`startup-list-fundraising-artifacts.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-fundraising-artifacts.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-fundraising-artifacts.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-fundraising-artifacts.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-fundraising-artifacts.response.403.error`; object, required)
  - `code` (`startup-list-fundraising-artifacts.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-fundraising-artifacts.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-fundraising-artifacts.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-fundraising-artifacts.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-fundraising-artifacts.response.404.error`; object, required)
  - `code` (`startup-list-fundraising-artifacts.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-fundraising-artifacts.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-fundraising-artifacts.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-fundraising-artifacts.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-fundraising-artifacts.response.409.error`; object, required)
  - `code` (`startup-list-fundraising-artifacts.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-fundraising-artifacts.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-fundraising-artifacts.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-fundraising-artifacts.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-fundraising-artifacts.response.500.error`; object, required)
  - `code` (`startup-list-fundraising-artifacts.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-fundraising-artifacts.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-fundraising-artifacts.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-fundraising-artifacts.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-fundraising-artifacts.response.503.error`; object, required)
  - `code` (`startup-list-fundraising-artifacts.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-fundraising-artifacts.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-fundraising-artifacts.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-fundraising-artifacts.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-list-fundraising-artifacts/index.md
